Name:		advert-block
Version:	0.2.12
Release:	%mkrel 2
License:	GPLv2
Group:		Networking/WWW
Summary:	Block annoying pop-ups/ads from web
Source0:	http://repo.antixlinux.org/sid/pool/main/a/advert-block-antix/%{name}-antix_%{version}.tar.xz
Source1:	%{name}.png
Patch0:		%{name}-pclos-changes.patch
URL:		https://github.com/antiX-Linux/advert-block-antix
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires: wget
Requires: gksu
Requires: yad

%description
Script and desktop-launcher for advert block.

Note: Internet connection is required to fetch the ad-block lists from web
to update the /etc/hosts file.

%prep
%setup -qn %{name}-antix_all
%patch0 -p1
cp -f %SOURCE1 .

%build
# nothing

%install
install -Dpm 0755 block-advert.sh %{buildroot}%{_bindir}/block-advert.sh
install -Dpm 0644 %name.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -Dpm 0644 %name.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
cp -rf locale %{buildroot}%{_datadir}/

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%doc debian/changelog debian/copyright
%{_bindir}/block-advert.sh
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/locale/*


%changelog
* Mon Oct 01 2018 adrianomorselli <adrianomorselli> 0.2.12-2uplos2018
- imported for uplos
